<div class="container-fluid container-fixed-lg bg-white">
    <div class="panel panel-transparent">
        <div class="panel-heading">
            <div class="panel-title"><?php print CommonLanguage::getMessage('family'); ?></div>
            <?php 
            echo Forms::FloatingAddButton('4c0870', '#add_edit_family_modal', CommonLanguage::getMessage('add'), 'add_family');  ?>
            <div class="clearfix"></div>
        </div>
        <div class="panel-body">
            <div class="table-responsive">
                <table class="table table-bordered inventory" id="tableWithSearch">
                    <thead>
                        <tr>
                            <th><?php print CommonLanguage::getMessage('family_name') ?></th>
                            <th><?php print CommonLanguage::getMessage('Action') ?></th>
                        </tr>
                    </thead>
                    <tbody>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="add_edit_family_modal" data-backdrop="static" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog modal-sm">
        <div class="modal-content">
            <div class="modal-header text-left">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="pg-close fs-20"></i>
                </button>
                <h5 class="add-label h-labels text-left bold hidden"> <?php echo CommonLanguage::getMessage('add_family'); ?></h5>
                <h5 class="edit-label h-labels text-left bold hidden"> <?php echo CommonLanguage::getMessage('edit_family'); ?></h5>
            </div>
            <div class="modal-body">
                <form id="family_form" method="POST" onsubmit="return false">
                    <div class="row">
                        <?php echo Forms::AlertDiv('family_alert'); ?>
                        <input type='hidden' name='family_id' id='family_id'/>
                    </div>
                    <div class="row form-group m-t-10">
                        <div class="col-md-12">
                            <label><?php print CommonLanguage::getMessage('family_name'); ?></label>
                            <span class="red-star">*</span>
                            <input type="text"  placeholder="<?php print CommonLanguage::getMessage('family_name'); ?>" id="family_name" name="family_name" class="form-control " autocomplete="off" required>
                        </div>
                    </div> 
                </form>
            </div>
            <div class="modal-footer">
                <button class="btn btn-default" data-dismiss="modal"><?php print CommonLanguage::getMessage('Close'); ?></button>
                <button class="btn btn-primary" id="submit_family"><?php print CommonLanguage::getMessage('Save'); ?></button>
            </div>
            <?php echo Forms::ModalLoader('family_loader'); ?>
        </div>
    </div>
</div>
<script>
    $(function () {
        RebuildDataTable($('.panel-heading .panel-title').html(), [0], 'InventoryAjax/family_list',1);
        $(".add_family").on("click", function () {
            $('#add_edit_family_modal .add-label').removeClass('hidden')
            $("#family_id").val(0);
        });
        $('#tableWithSearch').on('click', '.delete', function () {
            var entry_value = $(this).parents('div.Action').attr('data-id')
            IncludeDeleteModal(common_delete_modal, {family_id: entry_value}, function () {
                RebuildDataTable($('.panel-heading .panel-title').html(), [0], 'InventoryAjax/family_list');
            }, "InventoryAjax/deleteFamily");
        });
        $("#tableWithSearch").on("click", ".edit", function () {
            $('#add_edit_family_modal .edit-label').removeClass('hidden')
            var family_id = $(this).parents('div.Action').attr('data-id');
            $("#family_id").val(family_id);
            $("#family_name").val($("td:eq(0)",$(this).parents('tr')).html());

        });
        $("#submit_family").on("click", function () {
            if (!$("#family_form").valid())
                return;
            $("#family_loader").removeClass('hidden');
            var Data = new FormData(document.getElementById("family_form"));
            $.ajax({
                url: "InventoryAjax/submitFamily",
                method: "POST",
                data: Data,
                processData: false,
                contentType: false,
                dataType: "JSON",
                complete: function (jqXHR, status) {
                    if (status == 'success') {
                        if (jqXHR.responseJSON[1] == "success") {
                            RebuildDataTable($('.panel-heading .panel-title').html(), [0], 'InventoryAjax/family_list',1);
                            hideModalAlert('add_edit_family_modal', 'family_alert');
                        }
                        AddAlert("#family_alert", jqXHR.responseJSON[0], jqXHR.responseJSON[1]);
                    }
                    $("#family_loader").addClass('hidden');
                }
            });
        });
    });
</script>